#################################
#		Secret Rooms 2
#		Level 1 commands
#
#		-Commands for lvl 3
#
#		By Brozziest
#
#################################


#################### Tips ####################

execute as @e[tag=nTip,tag=!nUsed] at @s run scoreboard players add @s tip 1
execute as @e[tag=nTip,tag=!nUsed] at @s run tag @a add nUsed
execute as @e[tag=nTip] at @s run playsound minecraft:entity.item.pickup master @s ~ ~ ~ 1 .5
execute as @e[tag=nTip] at @s run tellraw @a ["",{"text":"Nether Star Tip:","color":"gray"},{"text":"\nChorus Fruit teleport a player within an 8 block radius randomly if a safe place is found within 16 attempts. The player wont teleport into water...","color":"gray"}]
execute as @e[tag=nTip] at @s run tag @s remove nTip

execute as @e[tag=eTip,tag=!eUsed] at @s run scoreboard players add @s tip 1
execute as @e[tag=eTip,tag=!eUsed] at @s run tag @a add eUsed
execute as @e[tag=eTip] at @s run playsound minecraft:entity.item.pickup master @s ~ ~ ~ 1 .5
execute as @e[tag=eTip] at @s run tellraw @a ["",{"text":"Emerald Tip:","color":"green"},{"text":"\nJumping/standing on turtle eggs break them. This can be detected without commands...","color":"green"}]
execute as @e[tag=eTip] at @s run tag @s remove eTip

execute as @e[tag=dTip,tag=!dUsed] at @s run scoreboard players add @s tip 1
execute as @e[tag=dTip,tag=!dUsed] at @s run tag @a add dUsed
execute as @e[tag=dTip] at @s run playsound minecraft:entity.item.pickup master @s ~ ~ ~ 1 .5
execute as @e[tag=dTip] at @s run tellraw @a ["",{"text":"Diamond Tip:","color":"aqua"},{"text":"\nVines can grow behind paintings, making an invisible ladder.","color":"aqua"}]
execute as @e[tag=dTip] at @s run tag @s remove dTip

execute as @e[tag=tTip,tag=!tUsed] at @s run scoreboard players add @s tip 1
execute as @e[tag=tTip,tag=!tUsed] at @s run tag @a add tUsed
execute as @e[tag=tTip] at @s run playsound minecraft:entity.item.pickup master @s ~ ~ ~ 1 .5
execute as @e[tag=tTip] at @s run tellraw @a ["",{"text":"Totem Tip:","color":"dark_red"},{"text":"\nIn 1.13+, items will now float in water (unless there's a current). This is useful for item elevators. Try tossing an item into a water column","color":"dark_red"}]
execute as @e[tag=tTip] at @s run tag @s remove tTip

execute as @e[tag=aTip,tag=!aUsed] at @s run scoreboard players add @s tip 1
execute as @e[tag=aTip,tag=!aUsed] at @s run tag @a add aUsed
execute as @e[tag=aTip] at @s run playsound minecraft:entity.item.pickup master @s ~ ~ ~ 1 .5
execute as @e[tag=aTip] at @s run tellraw @a ["",{"text":"Golden Apple Tip:","color":"gold"},{"text":"\nRiptide enchantment on a trident launches the player if they are in water. This will work even in rain, or if the water is toes deep...","color":"gold"}]
execute as @e[tag=aTip] at @s run tag @s remove aTip




##################### Item Collection ####################

scoreboard players set @e[tag=storeInfo] itemsCollected 0
execute if entity @a[nbt={Inventory:[{id:"minecraft:nether_star"}]}] run scoreboard players add @e[tag=storeInfo] itemsCollected 1
execute if entity @a[nbt={Inventory:[{id:"minecraft:diamond"}]}] run scoreboard players add @e[tag=storeInfo] itemsCollected 1
execute if entity @a[nbt={Inventory:[{id:"minecraft:emerald"}]}] run scoreboard players add @e[tag=storeInfo] itemsCollected 1
execute if entity @a[nbt={Inventory:[{id:"minecraft:enchanted_golden_apple"}]}] run scoreboard players add @e[tag=storeInfo] itemsCollected 1
execute if entity @a[nbt={Inventory:[{id:"minecraft:totem_of_undying"}]}] run scoreboard players add @e[tag=storeInfo] itemsCollected 1

execute as @e[tag=storeInfo,limit=1] at @s if entity @e[tag=storeInfo,scores={itemsCollected=5}] run function secretrooms2:levels/level_finish
scoreboard players set @e[tag=storeInfo] itemsCollected 0


##################### Chorus Fruit  #######################

clear @a minecraft:light_gray_stained_glass_pane{Tags:["fruitblocks"]}
data merge block 356 48 -92 {Items:[{Slot:0b,id:"minecraft:light_gray_stained_glass_pane",Count:1b,tag:{display:{Name:"[{\"text\":\" \"}]"},Tags:["fruitblocks"]}},{Slot:1b,id:"minecraft:light_gray_stained_glass_pane",Count:1b,tag:{display:{Name:"[{\"text\":\" \"}]"},Tags:["fruitblocks"]}},{Slot:2b,id:"minecraft:light_gray_stained_glass_pane",Count:1b,tag:{display:{Name:"[{\"text\":\" \"}]"},Tags:["fruitblocks"]}},{Slot:3b,id:"minecraft:light_gray_stained_glass_pane",Count:1b,tag:{display:{Name:"[{\"text\":\" \"}]"},Tags:["fruitblocks"]}},{Slot:4b,id:"minecraft:light_gray_stained_glass_pane",Count:1b,tag:{display:{Name:"[{\"text\":\" \"}]"},Tags:["fruitblocks"]}},{Slot:5b,id:"minecraft:light_gray_stained_glass_pane",Count:1b,tag:{display:{Name:"[{\"text\":\" \"}]"},Tags:["fruitblocks"]}},{Slot:6b,id:"minecraft:light_gray_stained_glass_pane",Count:1b,tag:{display:{Name:"[{\"text\":\" \"}]"},Tags:["fruitblocks"]}},{Slot:7b,id:"minecraft:light_gray_stained_glass_pane",Count:1b,tag:{display:{Name:"[{\"text\":\" \"}]"},Tags:["fruitblocks"]}},{Slot:8b,id:"minecraft:light_gray_stained_glass_pane",Count:1b,tag:{display:{Name:"[{\"text\":\" \"}]"},Tags:["fruitblocks"]}},{Slot:9b,id:"minecraft:light_gray_stained_glass_pane",Count:1b,tag:{display:{Name:"[{\"text\":\" \"}]"},Tags:["fruitblocks"]}},{Slot:10b,id:"minecraft:light_gray_stained_glass_pane",Count:1b,tag:{display:{Name:"[{\"text\":\" \"}]"},Tags:["fruitblocks"]}},{Slot:11b,id:"minecraft:light_gray_stained_glass_pane",Count:1b,tag:{display:{Name:"[{\"text\":\" \"}]"},Tags:["fruitblocks"]}},{Slot:12b,id:"minecraft:light_gray_stained_glass_pane",Count:1b,tag:{display:{Name:"[{\"text\":\" \"}]"},Tags:["fruitblocks"]}},{Slot:13b,id:"minecraft:chorus_fruit",Count:1},{Slot:14b,id:"minecraft:light_gray_stained_glass_pane",Count:1b,tag:{display:{Name:"[{\"text\":\" \"}]"},Tags:["fruitblocks"]}},{Slot:15b,id:"minecraft:light_gray_stained_glass_pane",Count:1b,tag:{display:{Name:"[{\"text\":\" \"}]"},Tags:["fruitblocks"]}},{Slot:16b,id:"minecraft:light_gray_stained_glass_pane",Count:1b,tag:{display:{Name:"[{\"text\":\" \"}]"},Tags:["fruitblocks"]}},{Slot:17b,id:"minecraft:light_gray_stained_glass_pane",Count:1b,tag:{display:{Name:"[{\"text\":\" \"}]"},Tags:["fruitblocks"]}},{Slot:18b,id:"minecraft:light_gray_stained_glass_pane",Count:1b,tag:{display:{Name:"[{\"text\":\" \"}]"},Tags:["fruitblocks"]}},{Slot:19b,id:"minecraft:light_gray_stained_glass_pane",Count:1b,tag:{display:{Name:"[{\"text\":\" \"}]"},Tags:["fruitblocks"]}},{Slot:20b,id:"minecraft:light_gray_stained_glass_pane",Count:1b,tag:{display:{Name:"[{\"text\":\" \"}]"},Tags:["fruitblocks"]}},{Slot:21b,id:"minecraft:light_gray_stained_glass_pane",Count:1b,tag:{display:{Name:"[{\"text\":\" \"}]"},Tags:["fruitblocks"]}},{Slot:22b,id:"minecraft:light_gray_stained_glass_pane",Count:1b,tag:{display:{Name:"[{\"text\":\" \"}]"},Tags:["fruitblocks"]}},{Slot:23b,id:"minecraft:light_gray_stained_glass_pane",Count:1b,tag:{display:{Name:"[{\"text\":\" \"}]"},Tags:["fruitblocks"]}},{Slot:24b,id:"minecraft:light_gray_stained_glass_pane",Count:1b,tag:{display:{Name:"[{\"text\":\" \"}]"},Tags:["fruitblocks"]}},{Slot:25b,id:"minecraft:light_gray_stained_glass_pane",Count:1b,tag:{display:{Name:"[{\"text\":\" \"}]"},Tags:["fruitblocks"]}},{Slot:26b,id:"minecraft:light_gray_stained_glass_pane",Count:1b,tag:{display:{Name:"[{\"text\":\" \"}]"},Tags:["fruitblocks"]}}]}
execute as @a at @s if entity @s[nbt={SelectedItem:{id:"minecraft:chorus_fruit"}}] if block ~ ~ ~ water run replaceitem entity @s weapon.mainhand minecraft:chorus_fruit 1
execute as @a at @s if block ~ ~-1 ~ prismarine_bricks run clear @s chorus_fruit

execute as @e[type=item,nbt={Item:{id:"minecraft:chorus_fruit"}}] at @s if block ~ ~ ~ water run kill @s

execute as @a at @s if entity @s[scores={eatChorus=1..}] run tag @s add eatenChorus
execute as @a[tag=eatenChorus] at @s run tp @s 358 48 -85 ~ ~
execute as @a[tag=eatenChorus] at @s run playsound minecraft:entity.enderman.teleport master @a ~ ~ ~ 1 1
execute as @a[tag=eatenChorus] at @s run particle minecraft:portal ~ ~ ~ 1 1 1 1 30 force @a
execute as @a[tag=eatenChorus] at @s run scoreboard players set @s eatChorus 0
execute as @a[tag=eatenChorus] at @s run tag @s remove eatenChorus

##################### Room Found Announcement ####################

execute as @a at @s if entity @s[x=382,y=53,z=-134,dx=0,dy=2,dz=0,tag=!eRoom] run tellraw @a ["",{"text":"-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-","color":"dark_green"},{"text":"\n Emerald Room Found!","color":"green","bold":"true"},{"text":"\n-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-","color":"dark_green"}]
execute as @a at @s if entity @s[x=382,y=53,z=-134,dx=0,dy=2,dz=0,tag=!eRoom] run playsound minecraft:entity.player.levelup master @a ~ ~ ~ 1 1
execute as @a at @s if entity @s[x=382,y=53,z=-134,dx=0,dy=2,dz=0,tag=!eRoom] run particle minecraft:happy_villager ^ ^1 ^.5 .3 1 .3 1 50 force
execute as @a at @s if entity @s[x=382,y=53,z=-134,dx=0,dy=2,dz=0,tag=!eRoom] run tag @a add eRoom

execute as @a at @s if entity @s[x=394,y=53,z=-124,dx=1,dy=2,dz=1,tag=!dRoom] run tellraw @a ["",{"text":"-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-","color":"dark_blue"},{"text":"\n Diamond Room Found!","color":"aqua","bold":"true"},{"text":"\n-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-","color":"dark_blue"}]
execute as @a at @s if entity @s[x=394,y=53,z=-124,dx=1,dy=2,dz=1,tag=!dRoom] run playsound minecraft:entity.player.levelup master @a ~ ~ ~ 1 1
execute as @a at @s if entity @s[x=394,y=53,z=-124,dx=1,dy=2,dz=1,tag=!dRoom] run particle minecraft:happy_villager ^ ^1 ^.5 .3 1 .3 1 50 force
execute as @a at @s if entity @s[x=394,y=53,z=-124,dx=1,dy=2,dz=1,tag=!dRoom] run tag @a add dRoom

execute as @a at @s if entity @s[x=346,y=39,z=-96,dx=24,dy=6,dz=24,tag=!nRoom] run tellraw @a ["",{"text":"-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-","color":"white"},{"text":"\n Nether Star Room Found!","color":"gray","bold":"true"},{"text":"\n-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-","color":"white"}]
execute as @a at @s if entity @s[x=346,y=39,z=-96,dx=24,dy=6,dz=24,tag=!nRoom] run playsound minecraft:entity.player.levelup master @a ~ ~ ~ 1 1
execute as @a at @s if entity @s[x=346,y=39,z=-96,dx=24,dy=6,dz=24,tag=!nRoom] run particle minecraft:happy_villager ^ ^1 ^.5 .3 1 .3 1 50 force
execute as @a at @s if entity @s[x=346,y=39,z=-96,dx=24,dy=6,dz=24,tag=!nRoom] run tag @a add nRoom

execute as @a at @s if entity @s[x=327,y=66,z=-117,dx=2,dy=3,dz=2,tag=!aRoom] run tellraw @a ["",{"text":"-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-","color":"gold"},{"text":"\n Golden Apple Room Found!","color":"yellow","bold":"true"},{"text":"\n-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-","color":"gold"}]
execute as @a at @s if entity @s[x=327,y=66,z=-117,dx=2,dy=3,dz=2,tag=!aRoom] run playsound minecraft:entity.player.levelup master @a ~ ~ ~ 1 1
execute as @a at @s if entity @s[x=327,y=66,z=-117,dx=2,dy=3,dz=2,tag=!aRoom] run particle minecraft:happy_villager ^ ^1 ^.5 .3 1 .3 1 50 force
execute as @a at @s if entity @s[x=327,y=66,z=-117,dx=2,dy=3,dz=2,tag=!aRoom] run tag @a add aRoom

execute as @a at @s if entity @s[x=361,y=49,z=-143,dx=1,dy=2,dz=2,tag=!tRoom] run tellraw @a ["",{"text":"-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-","color":"red"},{"text":"\n Totem Room Found!","color":"dark_red","bold":"true"},{"text":"\n-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-","color":"red"}]
execute as @a at @s if entity @s[x=361,y=49,z=-143,dx=1,dy=2,dz=2,tag=!tRoom] run playsound minecraft:entity.player.levelup master @a ~ ~ ~ 1 1
execute as @a at @s if entity @s[x=361,y=49,z=-143,dx=1,dy=2,dz=2,tag=!tRoom] run particle minecraft:happy_villager ^ ^1 ^.5 .3 1 .3 1 50 force
execute as @a at @s if entity @s[x=361,y=49,z=-143,dx=1,dy=2,dz=2,tag=!tRoom] run tag @a add tRoom