#################################
#		Secret Rooms 2
#		Level 1 commands
#
#		-Commands for lvl 5
#
#		By Brozziest
#
#################################

execute as @e[tag=particleStar] at @s run particle minecraft:portal ~ ~.25 ~ 0 0 0 1 50 force

#################### Tips ####################

execute as @e[tag=nTip,tag=!nUsed] at @s run scoreboard players add @s tip 1
execute as @e[tag=nTip,tag=!nUsed] at @s run tag @a add nUsed
execute as @e[tag=nTip] at @s run playsound minecraft:entity.item.pickup master @s ~ ~ ~ 1 .5
execute as @e[tag=nTip] at @s run tellraw @a ["",{"text":"Nether Star Tip:","color":"gray"},{"text":"\nA crossbow with multishot can shoot 3 arrows at once. This can be useful to shoot 3 buttons at the same time. Look up...","color":"gray"}]
execute as @e[tag=nTip] at @s run tag @s remove nTip

execute as @e[tag=eTip,tag=!eUsed] at @s run scoreboard players add @s tip 1
execute as @e[tag=eTip,tag=!eUsed] at @s run tag @a add eUsed
execute as @e[tag=eTip] at @s run playsound minecraft:entity.item.pickup master @s ~ ~ ~ 1 .5
execute as @e[tag=eTip] at @s run tellraw @a ["",{"text":"Emerald Tip:","color":"green"},{"text":"\nLecterns output a redstone signal through a comparator equal to 15* x/n where x is the page currently turned to, and n is the total book pages. This can be used as a combination lock. The password is written in several other books located around the library. Password lecturns are color coded at the reading stations...","color":"green"}]
execute as @e[tag=eTip] at @s run tag @s remove eTip

execute as @e[tag=dTip,tag=!dUsed] at @s run scoreboard players add @s tip 1
execute as @e[tag=dTip,tag=!dUsed] at @s run tag @a add dUsed
execute as @e[tag=dTip] at @s run playsound minecraft:entity.item.pickup master @s ~ ~ ~ 1 .5
execute as @e[tag=dTip] at @s run tellraw @a ["",{"text":"Diamond Tip:","color":"aqua"},{"text":"\nThe back of a barrel looks very similar to spruce planks. Opening a barrel causes a block update which an observer can detect...","color":"aqua"}]
execute as @e[tag=dTip] at @s run tag @s remove dTip

execute as @e[tag=tTip,tag=!tUsed] at @s run scoreboard players add @s tip 1
execute as @e[tag=tTip,tag=!tUsed] at @s run tag @a add tUsed
execute as @e[tag=tTip] at @s run playsound minecraft:entity.item.pickup master @s ~ ~ ~ 1 .5
execute as @e[tag=tTip] at @s run tellraw @a ["",{"text":"Totem Tip:","color":"dark_red"},{"text":"\nItem frames with a map can cover a hole that can be crawled through like a painting...","color":"dark_red"}]
execute as @e[tag=tTip] at @s run tag @s remove tTip

execute as @e[tag=aTip,tag=!aUsed] at @s run scoreboard players add @s tip 1
execute as @e[tag=aTip,tag=!aUsed] at @s run tag @a add aUsed
execute as @e[tag=aTip] at @s run playsound minecraft:entity.item.pickup master @s ~ ~ ~ 1 .5
execute as @e[tag=aTip] at @s run tellraw @a ["",{"text":"Golden Apple Tip:","color":"gold"},{"text":"\nFlowers can be taken and placed in flower-pots. Simple knowledge. But did you know this causes a block update?","color":"gold"}]
execute as @e[tag=aTip] at @s run tag @s remove aTip




##################### Item Collection ####################

scoreboard players set @e[tag=storeInfo] itemsCollected 0
execute if entity @a[nbt={Inventory:[{id:"minecraft:nether_star"}]}] run scoreboard players add @e[tag=storeInfo] itemsCollected 1
execute if entity @a[nbt={Inventory:[{id:"minecraft:diamond"}]}] run scoreboard players add @e[tag=storeInfo] itemsCollected 1
execute if entity @a[nbt={Inventory:[{id:"minecraft:emerald"}]}] run scoreboard players add @e[tag=storeInfo] itemsCollected 1
execute if entity @a[nbt={Inventory:[{id:"minecraft:enchanted_golden_apple"}]}] run scoreboard players add @e[tag=storeInfo] itemsCollected 1
execute if entity @a[nbt={Inventory:[{id:"minecraft:totem_of_undying"}]}] run scoreboard players add @e[tag=storeInfo] itemsCollected 1

execute as @e[tag=storeInfo,limit=1] at @s if entity @e[tag=storeInfo,scores={itemsCollected=5}] run function secretrooms2:levels/level_finish
scoreboard players set @e[tag=storeInfo] itemsCollected 0


##################### Room Found Announcement ####################

execute as @a at @s if entity @s[x=-274,y=45,z=-6,dx=0,dy=2,dz=1,tag=!eRoom] run tellraw @a ["",{"text":"-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-","color":"dark_green"},{"text":"\n Emerald Room Found!","color":"green","bold":"true"},{"text":"\n-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-","color":"dark_green"}]
execute as @a at @s if entity @s[x=-274,y=45,z=-6,dx=0,dy=2,dz=1,tag=!eRoom] run playsound minecraft:entity.player.levelup master @a ~ ~ ~ 1 1
execute as @a at @s if entity @s[x=-274,y=45,z=-6,dx=0,dy=2,dz=1,tag=!eRoom] run particle minecraft:happy_villager ^ ^1 ^.5 .3 1 .3 1 50 force
execute as @a at @s if entity @s[x=-274,y=45,z=-6,dx=0,dy=2,dz=1,tag=!eRoom] run tag @a add eRoom

execute as @a at @s if entity @s[x=-330,y=40,z=36,dx=2,dy=2,dz=0,tag=!dRoom] run tellraw @a ["",{"text":"-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-","color":"dark_blue"},{"text":"\n Diamond Room Found!","color":"aqua","bold":"true"},{"text":"\n-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-","color":"dark_blue"}]
execute as @a at @s if entity @s[x=-330,y=40,z=36,dx=2,dy=2,dz=0,tag=!dRoom] run playsound minecraft:entity.player.levelup master @a ~ ~ ~ 1 1
execute as @a at @s if entity @s[x=-330,y=40,z=36,dx=2,dy=2,dz=0,tag=!dRoom] run particle minecraft:happy_villager ^ ^1 ^.5 .3 1 .3 1 50 force
execute as @a at @s if entity @s[x=-330,y=40,z=36,dx=2,dy=2,dz=0,tag=!dRoom] run tag @a add dRoom

execute as @a at @s if entity @s[x=-341,y=25,z=4,dx=5,dy=4,dz=5,tag=!nRoom] run tellraw @a ["",{"text":"-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-","color":"white"},{"text":"\n Nether Star Room Found!","color":"gray","bold":"true"},{"text":"\n-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-","color":"white"}]
execute as @a at @s if entity @s[x=-341,y=25,z=4,dx=5,dy=4,dz=5,tag=!nRoom] run playsound minecraft:entity.player.levelup master @a ~ ~ ~ 1 1
execute as @a at @s if entity @s[x=-341,y=25,z=4,dx=5,dy=4,dz=5,tag=!nRoom] run particle minecraft:happy_villager ^ ^1 ^.5 .3 1 .3 1 50 force
execute as @a at @s if entity @s[x=-341,y=25,z=4,dx=5,dy=4,dz=5,tag=!nRoom] run tag @a add nRoom

execute as @a at @s if entity @s[x=-298,y=39,z=35,dx=2,dy=2,dz=0,tag=!aRoom] run tellraw @a ["",{"text":"-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-","color":"gold"},{"text":"\n Golden Apple Room Found!","color":"yellow","bold":"true"},{"text":"\n-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-","color":"gold"}]
execute as @a at @s if entity @s[x=-298,y=39,z=35,dx=2,dy=2,dz=0,tag=!aRoom] run playsound minecraft:entity.player.levelup master @a ~ ~ ~ 1 1
execute as @a at @s if entity @s[x=-298,y=39,z=35,dx=2,dy=2,dz=0,tag=!aRoom] run particle minecraft:happy_villager ^ ^1 ^.5 .3 1 .3 1 50 force
execute as @a at @s if entity @s[x=-298,y=39,z=35,dx=2,dy=2,dz=0,tag=!aRoom] run tag @a add aRoom

execute as @a at @s if entity @s[x=-331,y=40,z=-25,dx=2,dy=2,dz=1,tag=!tRoom] run tellraw @a ["",{"text":"-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-","color":"red"},{"text":"\n Totem Room Found!","color":"dark_red","bold":"true"},{"text":"\n-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-","color":"red"}]
execute as @a at @s if entity @s[x=-331,y=40,z=-25,dx=2,dy=2,dz=1,tag=!tRoom] run playsound minecraft:entity.player.levelup master @a ~ ~ ~ 1 1
execute as @a at @s if entity @s[x=-331,y=40,z=-25,dx=2,dy=2,dz=1,tag=!tRoom] run particle minecraft:happy_villager ^ ^1 ^.5 .3 1 .3 1 50 force
execute as @a at @s if entity @s[x=-331,y=40,z=-25,dx=2,dy=2,dz=1,tag=!tRoom] run tag @a add tRoom